What re-applying the auto-linking rules of the campaign's creatives would change, after the rules changed.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/campaigns/{campaignId}/auto-linking.do
What re-applying the auto-linking rules of the campaign's creatives would change, after the rules changed. Nothing is written. linkCount: creative-placement links to add, unlinkCount: links to remove, placementCount: placements affected. All zero means the links already follow the auto-linking rules. Requires UPDATE share on the campaign and AUTO_LINKING_SETTINGS.
Path Params
campaignIdintegerrequired
ID of the campaign
3001
Responses
200
The change
400
Bad request — invalid or missing parameters
401
Authentication error
403
Missing share or permission; the message names the permission
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/campaigns/3001/auto-linking.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());